POST api/PolicyAICallLog/Update
Request Information
URI Parameters
None.
Body Parameters
AICallLogRecordNest| Name | Description | Type | Additional information |
|---|---|---|---|
| Feedback | string |
None. |
|
| Transcript | string |
None. |
|
| Status | CallStatus |
Required Range: inclusive between 1 and 2 |
|
| TransactionId | string |
Required |
|
| TruckingCompanyId | globally unique identifier |
None. |
|
| aiVendor | AICallVendors |
None. |
|
| LastCallTime | date |
None. |
|
| PolicyId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| CallId | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| CreateDate | date |
None. |
|
| ChangeDate | date |
None. |
|
| TaskId | globally unique identifier |
None. |
|
| callType | CallType |
None. |
|
| Id | globally unique identifier |
None. |
|
| PhoneNumber | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"feedback": "sample string 1",
"transcript": "sample string 2",
"status": 1,
"transactionId": "sample string 3",
"truckingCompanyId": "3e8f3d62-f6c2-4abd-babf-d36a05152846",
"aiVendor": 1,
"lastCallTime": "2026-10-15T05:38:46.6383171-05:00",
"policyId": "a212915f-4844-4e01-9419-13edc53c5b03",
"agencyId": "064a187f-0dbd-460f-bb01-f52f7bd38952",
"callId": "sample string 5",
"userId": "b71cc4fc-f4dd-4dae-9520-40f6bb295f82",
"createDate": "2026-10-15T05:38:46.6539401-05:00",
"changeDate": "2026-10-15T05:38:46.6539401-05:00",
"taskId": "bb959fd0-24ac-4181-a294-4d25c3fae006",
"callType": 1,
"id": "35121394-cd7c-41f1-850f-298664fac707",
"phoneNumber": "sample string 9"
}
application/xml, text/xml
Sample:
<AICallLogRecordNest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <AIVendor>SONANT</AIVendor> <AgencyId>064a187f-0dbd-460f-bb01-f52f7bd38952</AgencyId> <CallId>sample string 5</CallId> <CallType>Incomming</CallType> <ChangeDate>2026-10-15T05:38:46.6539401-05:00</ChangeDate> <CreateDate>2026-10-15T05:38:46.6539401-05:00</CreateDate> <Feedback>sample string 1</Feedback> <Id>35121394-cd7c-41f1-850f-298664fac707</Id> <LastCallTime>2026-10-15T05:38:46.6383171-05:00</LastCallTime> <PhoneNumber>sample string 9</PhoneNumber> <PolicyId>a212915f-4844-4e01-9419-13edc53c5b03</PolicyId> <Status>Failed</Status> <TaskId>bb959fd0-24ac-4181-a294-4d25c3fae006</TaskId> <TransactionId>sample string 3</TransactionId> <Transcript>sample string 2</Transcript> <TruckingCompanyId>3e8f3d62-f6c2-4abd-babf-d36a05152846</TruckingCompanyId> <UserId>b71cc4fc-f4dd-4dae-9520-40f6bb295f82</UserId> </AICallLogRecordNest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>